import { SfCommand } from '@salesforce/sf-plugins-core';
import { Duration } from '@salesforce/kit';
import { DeployResultJson } from '../../../utils/types.js';
export default class DeployMetadataResume extends SfCommand<DeployResultJson> {
    static readonly description: string;
    static readonly summary: string;
    static readonly examples: string[];
    static readonly aliases: string[];
    static readonly deprecateAliases = true;
    static readonly flags: {
        concise: import("@oclif/core/interfaces").BooleanFlag<boolean>;
        'job-id': import("@oclif/core/interfaces").OptionFlag<string | undefined, import("@oclif/core/interfaces").CustomOptions>;
        'use-most-recent': import("@oclif/core/interfaces").BooleanFlag<boolean>;
        verbose: import("@oclif/core/interfaces").BooleanFlag<boolean>;
        wait: import("@oclif/core/interfaces").OptionFlag<Duration, import("@oclif/core/interfaces").CustomOptions>;
        'coverage-formatters': import("@oclif/core/interfaces").OptionFlag<string[] | undefined, import("@oclif/core/interfaces").CustomOptions>;
        junit: import("@oclif/core/interfaces").BooleanFlag<boolean>;
        'results-dir': import("@oclif/core/interfaces").OptionFlag<string | undefined, import("@oclif/core/interfaces").CustomOptions>;
    };
    static envVariablesSection: import("@oclif/core").HelpSection;
    static errorCodes: import("@oclif/core").HelpSection;
    private deployUrl?;
    run(): Promise<DeployResultJson>;
    private mixinUrlMeta;
}
