/*
 * Copyright (c) 2020, salesforce.com, inc.
 * All rights reserved.
 * Licensed under the BSD 3-Clause license.
 * For full license text, see LICENSE.txt file in the repo root or https://opensource.org/licenses/BSD-3-Clause
 */
import { Ux } from '@salesforce/sf-plugins-core';
import { error } from '@oclif/core/ux';
import { RequestStatus } from '@salesforce/source-deploy-retrieve';
const ux = new Ux();
export class DeployCancelResultFormatter {
    result;
    constructor(result) {
        this.result = result;
    }
    // eslint-disable-next-line @typescript-eslint/require-await
    async getJson() {
        return { ...this.result.response, files: this.result.getFileResponses() ?? [] };
    }
    display() {
        if (this.result.response.status === RequestStatus.Canceled) {
            ux.log(`Successfully canceled ${this.result.response.id}`);
        }
        else {
            error(`Could not cancel ${this.result.response.id}`);
        }
    }
}
//# sourceMappingURL=deployCancelResultFormatter.js.map